## ansible-lint 4.3.7

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --generate-hashes --output-file=docs/requirements.txt docs/requirements.in
#
alabaster==0.7.12 \
    --hash=sha256:446438bdcca0e05bd45ea2de1668c1d9b032e1a9154c2c259092d77031ddd359 \
    --hash=sha256:a661d72d58e6ea8a57f7a86e37d86716863ee5e92788398526d58b26a4e4dc02 \
    # via sphinx
attrs==19.3.0 \
    --hash=sha256:08a96c641c3a74e44eb59afb61a24f2cb9f4d7188748e76ba4bb5edfa3cb7d1c \
    --hash=sha256:f7b7ce16570fe9965acd6d30101a28f62fb4a7f9e926b3bbc9b61f8b04247e72 \
    # via markdown-it-py
babel==2.8.0 \
    --hash=sha256:1aac2ae2d0d8ea368fa90906567f5c08463d98ade155c0c4bfedd6a0f7160e38 \
    --hash=sha256:d670ea0b10f8b723672d3a6abeb87b565b244da220d76b4dba1b66269ec152d4 \
    # via sphinx
certifi==2020.6.20 \
    --hash=sha256:5930595817496dd21bb8dc35dad090f1c2cd0adfaf21204bf6732ca5d8ee34d3 \
    --hash=sha256:8fc0819f1f30ba15bdb34cceffb9ef04d99f420f68eb75d901e9560b8749fc41 \
    # via requests
chardet==3.0.4 \
    --hash=sha256:84ab92ed1c4d4f16916e05906b6b75a6c0fb5db821cc65e70cbd64a3e2a5eaae \
    --hash=sha256:fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691 \
    # via requests
docutils==0.16 \
    --hash=sha256:0c5b78adfbf7762415433f5515cd5c9e762339e23369dbe8000d84a4bf4ab3af \
    --hash=sha256:c2de3a60e9e7d07be26b7f2b00ca0309c207e06c100f9cc2a94931fc75a478fc \
    # via myst-parser, sphinx
idna==2.10 \
    --hash=sha256:b307872f855b18632ce0c21c5e45be78c0ea7ae4c15c828c20788b26921eb3f6 \
    --hash=sha256:b97d804b1e9b523befed77c48dacec60e6dcb0b5391d57af6a65a312a90648c0 \
    # via requests
imagesize==1.2.0 \
    --hash=sha256:6965f19a6a2039c7d48bca7dba2473069ff854c36ae6f19d2cde309d998228a1 \
    --hash=sha256:b1f6b5a4eab1f73479a50fb79fcf729514a900c341d8503d62a62dbc4127a2b1 \
    # via sphinx
jinja2==2.11.2 \
    --hash=sha256:89aab215427ef59c34ad58735269eb58b1a5808103067f7bb9d5836c651b3bb0 \
    --hash=sha256:f0a4641d3cf955324a89c04f3d94663aa4d638abe8f733ecd3582848e1c37035 \
    # via sphinx
markdown-it-py==0.5.4 \
    --hash=sha256:d1782446f7fcbf2db9a1bc0430230cb879498ad6d76168d7e7c762bab04cb4ea \
    --hash=sha256:f18ec8f1c1a424ab2a9ac06b5ba87d6d2a01e450cd8678edbc71002106dd68a8 \
    # via myst-parser
markupsafe==1.1.1 \
    --hash=sha256:00bc623926325b26bb9605ae9eae8a215691f33cae5df11ca5424f06f2d1f473 \
    --hash=sha256:09027a7803a62ca78792ad89403b1b7a73a01c8cb65909cd876f7fcebd79b161 \
    --hash=sha256:09c4b7f37d6c648cb13f9230d847adf22f8171b1ccc4d5682398e77f40309235 \
    --hash=sha256:1027c282dad077d0bae18be6794e6b6b8c91d58ed8a8d89a89d59693b9131db5 \
    --hash=sha256:13d3144e1e340870b25e7b10b98d779608c02016d5184cfb9927a9f10c689f42 \
    --hash=sha256:24982cc2533820871eba85ba648cd53d8623687ff11cbb805be4ff7b4c971aff \
    --hash=sha256:29872e92839765e546828bb7754a68c418d927cd064fd4708fab9fe9c8bb116b \
    --hash=sha256:43a55c2930bbc139570ac2452adf3d70cdbb3cfe5912c71cdce1c2c6bbd9c5d1 \
    --hash=sha256:46c99d2de99945ec5cb54f23c8cd5689f6d7177305ebff350a58ce5f8de1669e \
    --hash=sha256:500d4957e52ddc3351cabf489e79c91c17f6e0899158447047588650b5e69183 \
    --hash=sha256:535f6fc4d397c1563d08b88e485c3496cf5784e927af890fb3c3aac7f933ec66 \
    --hash=sha256:596510de112c685489095da617b5bcbbac7dd6384aeebeda4df6025d0256a81b \
    --hash=sha256:62fe6c95e3ec8a7fad637b7f3d372c15ec1caa01ab47926cfdf7a75b40e0eac1 \
    --hash=sha256:6788b695d50a51edb699cb55e35487e430fa21f1ed838122d722e0ff0ac5ba15 \
    --hash=sha256:6dd73240d2af64df90aa7c4e7481e23825ea70af4b4922f8ede5b9e35f78a3b1 \
    --hash=sha256:717ba8fe3ae9cc0006d7c451f0bb265ee07739daf76355d06366154ee68d221e \
    --hash=sha256:79855e1c5b8da654cf486b830bd42c06e8780cea587384cf6545b7d9ac013a0b \
    --hash=sha256:7c1699dfe0cf8ff607dbdcc1e9b9af1755371f92a68f706051cc8c37d447c905 \
    --hash=sha256:88e5fcfb52ee7b911e8bb6d6aa2fd21fbecc674eadd44118a9cc3863f938e735 \
    --hash=sha256:8defac2f2ccd6805ebf65f5eeb132adcf2ab57aa11fdf4c0dd5169a004710e7d \
    --hash=sha256:98c7086708b163d425c67c7a91bad6e466bb99d797aa64f965e9d25c12111a5e \
    --hash=sha256:9add70b36c5666a2ed02b43b335fe19002ee5235efd4b8a89bfcf9005bebac0d \
    --hash=sha256:9bf40443012702a1d2070043cb6291650a0841ece432556f784f004937f0f32c \
    --hash=sha256:ade5e387d2ad0d7ebf59146cc00c8044acbd863725f887353a10df825fc8ae21 \
    --hash=sha256:b00c1de48212e4cc9603895652c5c410df699856a2853135b3967591e4beebc2 \
    --hash=sha256:b1282f8c00509d99fef04d8ba936b156d419be841854fe901d8ae224c59f0be5 \
    --hash=sha256:b2051432115498d3562c084a49bba65d97cf251f5a331c64a12ee7e04dacc51b \
    --hash=sha256:ba59edeaa2fc6114428f1637ffff42da1e311e29382d81b339c1817d37ec93c6 \
    --hash=sha256:c8716a48d94b06bb3b2524c2b77e055fb313aeb4ea620c8dd03a105574ba704f \
    --hash=sha256:cd5df75523866410809ca100dc9681e301e3c27567cf498077e8551b6d20e42f \
    --hash=sha256:cdb132fc825c38e1aeec2c8aa9338310d29d337bebbd7baa06889d09a60a1fa2 \
    --hash=sha256:e249096428b3ae81b08327a63a485ad0878de3fb939049038579ac0ef61e17e7 \
    --hash=sha256:e8313f01ba26fbbe36c7be1966a7b7424942f670f38e666995b88d012765b9be \
    # via jinja2
myst-parser==0.12.10 \
    --hash=sha256:4612c46196e0344bb7e49dbc3deb288f9b9a88fcf6e9f210f7f3ea5bc9899bfc \
    --hash=sha256:a5311da4398869e596250d5a93b523735c3beb8bc9d3eba853223c705802043b \
    # via -r requirements.in
packaging==20.4 \
    --hash=sha256:4357f74f47b9c12db93624a82154e9b120fa8293699949152b22065d556079f8 \
    --hash=sha256:998416ba6962ae7fbd6596850b80e17859a5753ba17c32284f67bfff33784181 \
    # via sphinx
pipdeptree==1.0.0 \
    --hash=sha256:35a81058c9568a29c5a9569109304b25f11cd9333fa2661a4d4c2c5da0e3939d \
    --hash=sha256:5fe866a38113d28d527033ececc57b8e86df86b7c29edbacb33f41ee50f75b31 \
    --hash=sha256:a7e4f744f3ae149cf94dd5e517fae682780c4729f4a279e6fb81a928f57fea23 \
    # via -r requirements.in
pygments==2.6.1 \
    --hash=sha256:647344a061c249a3b74e230c739f434d7ea4d8b1d5f3721bc0f3558049b38f44 \
    --hash=sha256:ff7a40b4860b727ab48fad6360eb351cc1b33cbf9b15a0f689ca5353e9463324 \
    # via sphinx
pyparsing==2.4.7 \
    --hash=sha256:c203ec8783bf771a155b207279b9bccb8dea02d8f0c9e5f8ead507bc3246ecc1 \
    --hash=sha256:ef9d7589ef3c200abe66653d3f1ab1033c3c419ae9b9bdb1240a85b024efc88b \
    # via packaging
pytz==2020.1 \
    --hash=sha256:a494d53b6d39c3c6e44c3bec237336e14305e4f29bbf800b599253057fbb79ed \
    --hash=sha256:c35965d010ce31b23eeb663ed3cc8c906275d6be1a34393a1d73a41febf4a048 \
    # via babel
pyyaml==5.3.1 \
    --hash=sha256:06a0d7ba600ce0b2d2fe2e78453a470b5a6e000a985dd4a4e54e436cc36b0e97 \
    --hash=sha256:240097ff019d7c70a4922b6869d8a86407758333f02203e0fc6ff79c5dcede76 \
    --hash=sha256:4f4b913ca1a7319b33cfb1369e91e50354d6f07a135f3b901aca02aa95940bd2 \
    --hash=sha256:69f00dca373f240f842b2931fb2c7e14ddbacd1397d57157a9b005a6a9942648 \
    --hash=sha256:73f099454b799e05e5ab51423c7bcf361c58d3206fa7b0d555426b1f4d9a3eaf \
    --hash=sha256:74809a57b329d6cc0fdccee6318f44b9b8649961fa73144a98735b0aaf029f1f \
    --hash=sha256:7739fc0fa8205b3ee8808aea45e968bc90082c10aef6ea95e855e10abf4a37b2 \
    --hash=sha256:95f71d2af0ff4227885f7a6605c37fd53d3a106fcab511b8860ecca9fcf400ee \
    --hash=sha256:b8eac752c5e14d3eca0e6dd9199cd627518cb5ec06add0de9d32baeee6fe645d \
    --hash=sha256:cc8955cfbfc7a115fa81d85284ee61147059a753344bc51098f3ccd69b0d7e0c \
    --hash=sha256:d13155f591e6fcc1ec3b30685d50bf0711574e2c0dfffd7644babf8b5102ca1a \
    # via myst-parser
requests==2.24.0 \
    --hash=sha256:b3559a131db72c33ee969480840fff4bb6dd111de7dd27c8ee1f820f4f00231b \
    --hash=sha256:fe75cc94a9443b9246fc7049224f75604b113c36acb93f87b80ed42c44cbb898 \
    # via sphinx
six==1.15.0 \
    --hash=sha256:30639c035cdb23534cd4aa2dd52c3bf48f06e5f4a941509c8bafd8ce11080259 \
    --hash=sha256:8b74bedcbbbaca38ff6d7491d76f2b06b3592611af620f8426e82dddb04a5ced \
    # via packaging
snowballstemmer==2.0.0 \
    --hash=sha256:209f257d7533fdb3cb73bdbd24f436239ca3b2fa67d56f6ff88e86be08cc5ef0 \
    --hash=sha256:df3bac3df4c2c01363f3dd2cfa78cce2840a79b9f1c2d2de9ce8d31683992f52 \
    # via sphinx
sphinx-ansible-theme==0.3.2 \
    --hash=sha256:250e46bc318062a2e95cc55db5dfecddb5f847f38d672d487162920f3f3ae205 \
    --hash=sha256:424ec6fbc61bc8bba3e6eb482d3ceb92e6e2d80d7e8e06599e2bbc856026feaf \
    # via -r requirements.in
sphinx-notfound-page==0.4 \
    --hash=sha256:0105a40d8a305d3e1003630d8ee99296baa08cf2a4c1ce1db8d91fbbe78f90db \
    --hash=sha256:609fd7cd7f9ea73c030f1b67a3f2bc90f60bff87b30026fbd2bcb19c7c59c484 \
    # via sphinx-ansible-theme
sphinx-rtd-theme==0.5.0 \
    --hash=sha256:22c795ba2832a169ca301cd0a083f7a434e09c538c70beb42782c073651b707d \
    --hash=sha256:373413d0f82425aaa28fb288009bf0d0964711d347763af2f1b65cafcb028c82 \
    # via sphinx-ansible-theme
sphinx==3.2.1 \
    --hash=sha256:321d6d9b16fa381a5306e5a0b76cd48ffbc588e6340059a729c6fdd66087e0e8 \
    --hash=sha256:ce6fd7ff5b215af39e2fcd44d4a321f6694b4530b6f2b2109b64d120773faea0 \
    # via -r requirements.in, myst-parser, sphinx-rtd-theme, sphinxcontrib.programoutput
sphinxcontrib-applehelp==1.0.2 \
    --hash=sha256:806111e5e962be97c29ec4c1e7fe277bfd19e9652fb1a4392105b43e01af885a \
    --hash=sha256:a072735ec80e7675e3f432fcae8610ecf509c5f1869d17e2eecff44389cdbc58 \
    # via sphinx
sphinxcontrib-devhelp==1.0.2 \
    --hash=sha256:8165223f9a335cc1af7ffe1ed31d2871f325254c0423bc0c4c7cd1c1e4734a2e \
    --hash=sha256:ff7f1afa7b9642e7060379360a67e9c41e8f3121f2ce9164266f61b9f4b338e4 \
    # via sphinx
sphinxcontrib-htmlhelp==1.0.3 \
    --hash=sha256:3c0bc24a2c41e340ac37c85ced6dafc879ab485c095b1d65d2461ac2f7cca86f \
    --hash=sha256:e8f5bb7e31b2dbb25b9cc435c8ab7a79787ebf7f906155729338f3156d93659b \
    # via sphinx
sphinxcontrib-jsmath==1.0.1 \
    --hash=sha256:2ec2eaebfb78f3f2078e73666b1415417a116cc848b72e5172e596c871103178 \
    --hash=sha256:a9925e4a4587247ed2191a22df5f6970656cb8ca2bd6284309578f2153e0c4b8 \
    # via sphinx
sphinxcontrib-qthelp==1.0.3 \
    --hash=sha256:4c33767ee058b70dba89a6fc5c1892c0d57a54be67ddd3e7875a18d14cba5a72 \
    --hash=sha256:bd9fc24bcb748a8d51fd4ecaade681350aa63009a347a8c14e637895444dfab6 \
    # via sphinx
sphinxcontrib-serializinghtml==1.1.4 \
    --hash=sha256:eaa0eccc86e982a9b939b2b82d12cc5d013385ba5eadcc7e4fed23f4405f77bc \
    --hash=sha256:f242a81d423f59617a8e5cf16f5d4d74e28ee9a66f9e5b637a18082991db5a9a \
    # via sphinx
sphinxcontrib.programoutput==0.16 \
    --hash=sha256:0caaa216d0ad8d2cfa90a9a9dba76820e376da6e3152be28d10aedc09f82a3b0 \
    --hash=sha256:8009d1326b89cd029ee477ce32b45c58d92b8504d48811461c3117014a8f4b1e \
    # via -r requirements.in
urllib3==1.25.9 \
    --hash=sha256:3018294ebefce6572a474f0604c2021e33b3fd8006ecd11d62107a5d2a963527 \
    --hash=sha256:88206b0eb87e6d677d424843ac5209e3fb9d0190d0ee169599165ec25e9d9115 \
    # via requests

# WARNING: The following packages were not pinned, but pip requires them to be
# pinned when the requirements file includes hashes. Consider using the --allow-unsafe flag.
# pip
# setuptools

## ansible-lint 3.4.20+git.20180203

=== debian/changelog ===
ansible-lint (3.4.20+git.20180203-1) unstable; urgency=medium

  * New upstream release (Closes: #882066)

 -- Gregory Colpart <reg@debian.org>  Sat, 03 Feb 2018 18:50:23 +0100

ansible-lint (3.4.13+git.20170811-1-1) unstable; urgency=medium

  * Initial release (Closes: #799144)

 -- Gregory Colpart <reg@debian.org>  Fri, 11 Aug 2017 16:56:58 -0400

=== debian/control ===
Source: ansible-lint
Section: misc
Priority: optional
Maintainer: Gregory Colpart <reg@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/willthames/ansible-lint
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ansible-lint.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ansible-lint.git

Package: ansible-lint
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ansible
Description: lint tool for Ansible playbooks
 Ansible playbooks express configuration, deployment and orchestration in YAML
 format. They can describe a policy you want your remote systems to enforce,
  or a set of steps in a general IT process.
 .
 ansible-lint checks Ansible playbooks for practices and behaviour that could
 potentially be improved.

## ansible-lint 4.1.0+dfsg.1

=== debian/changelog ===
ansible-lint (4.1.0+dfsg.1-1) unstable; urgency=medium

  * New upstream version 4.1.0+dfsg.1 (closes: #918783)
    - dfsg.1: Remove docs dir, which contains non-free code
      and we don't use any of it anyway.
  * Use python3 instead of python2 (closes: #921030)
  * Bump DH level to 12
  * Bump Standards-Version to 4.3.0
  * Add myself as an uploader
  * Move packaging to salsa
  * Add autopkgtests
  * d/docs: update docs of new release
  * d/control: add new build dependencies of latest release
  * d/copyright: update all entries
  * d/p/disable_scm_version.patch: new patch to disable usage of pypi
  * d/rules: use pybuild instead of distutils
  * d/watch: create file and point to GitHub
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Feb 2019 12:30:38 +0000

=== debian/control ===
Source: ansible-lint
Section: misc
Priority: optional
Maintainer: Gregory Colpart <reg@debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: ansible,
               debhelper (>= 12),
               dh-python,
               python3-all,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-setuptools-scm-git-archive,
               python3-six
Standards-Version: 4.3.0
Homepage: https://github.com/willthames/ansible-lint
Vcs-Browser: https://salsa.debian.org/debian/ansible-lint
Vcs-Git: https://salsa.debian.org/debian/ansible-lint.git

Package: ansible-lint
Architecture: all
Depends: ansible,
         ${misc:Depends},
         ${python3:Depends}
Description: lint tool for Ansible playbooks
 Ansible playbooks express configuration, deployment and orchestration in YAML
 format. They can describe a policy you want your remote systems to enforce,
  or a set of steps in a general IT process.
 .
 ansible-lint checks Ansible playbooks for practices and behaviour that could
 potentially be improved.

=== debian/tests/control ===
Tests: lots_of_warnings, nomatches
Depends: @
Restrictions: needs-root

## ansible-lint 4.2.0

=== debian/changelog ===
ansible-lint (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Update Standards-Version to 4.4.1
  * Use debhelper-compat
  * The upstream tarball is now dfsg compliant as it does not ship the "docs"
    directory anymore.
  * d/control:
    - Add Dependency python3-ruamel.yaml
    - Add Rules-Requires-Root: no
    - Remove Build-Dependency python3-setuptools-scm-git-archive
  * d/patches:
    - add_setup_py.patch: New patch to add setup_py
    - disable_scm_version.patch:
      ~ Set version on setup.cfg without using scm module
      ~ Update patch
  * d/tests/lots-of-warnings: Get a predictable output for different test envs

 -- Samuel Henrique <samueloph@debian.org>  Sun, 08 Dec 2019 20:39:41 +0000

ansible-lint (4.1.0+dfsg.1-2) unstable; urgency=medium

  [ Ryo IGARASHI ]
  * Fix rules location in manpage (closes: #934011)

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.4.0
  * Remove underline of runtime test name
  * Add missing dependency of python3-pkg-resources

 -- Samuel Henrique <samueloph@debian.org>  Wed, 04 Sep 2019 01:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Gregory Colpart <reg@debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: ansible,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-ruamel.yaml,
                python3-setuptools,
-               python3-setuptools-scm-git-archive,
                python3-six
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/willthames/ansible-lint
 Vcs-Browser: https://salsa.debian.org/debian/ansible-lint
 Vcs-Git: https://salsa.debian.org/debian/ansible-lint.git
@@ -19,6 +19,8 @@
 Package: ansible-lint
 Architecture: all
 Depends: ansible,
+         python3-pkg-resources,
+         python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
 Description: lint tool for Ansible playbooks

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	sed -i "s/DEB_VERSION_UPSTREAM/$(DEB_VERSION_UPSTREAM)/" setup.cfg
	dh_auto_configure

=== debian/tests/control ===
Tests: lots-of-warnings, nomatches
Depends: @
Restrictions: needs-root

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ansible-lint-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
  https://github.com/ansible/ansible-lint/tags .*/?(\d\.\d.\d)\.tar\.gz

## ansible-lint 4.3.7

=== debian/changelog ===
ansible-lint (4.3.7-1) unstable; urgency=medium

  * New upstream version 4.3.7
  * d/p/fix-examples.patch: Remove patch, merged upstream

 -- Samuel Henrique <samueloph@debian.org>  Wed, 04 Nov 2020 19:37:49 +0000

ansible-lint (4.3.5-1) unstable; urgency=medium

  * New upstream version 4.3.5
  * Add d/salsa-ci.yml
  * d/t/lots-of-warnings: Update test

 -- Samuel Henrique <samueloph@debian.org>  Sat, 03 Oct 2020 18:23:01 +0100

ansible-lint (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
  * Bump DH to 13
  * Bump Standards-Version to 4.5.0
  * Add d/gbp.conf
  * d/p/fix-examples.patch: new patch to fix example used on autopkgtest
  * d/t/lots-of-warnings: Update test
  * d/copyright: Remove Files-Excluded field as there's no repackaging anymore

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 03 Oct 2020 17:30:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Gregory Colpart <reg@debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: ansible,
-               debhelper-compat (= 12),
+Build-Depends: ansible (>= 2.8),
+               debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ruamel.yaml,
                python3-setuptools,
-               python3-six
-Standards-Version: 4.4.1
+               python3-six,
+               python3-rich
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/willthames/ansible-lint
 Vcs-Browser: https://salsa.debian.org/debian/ansible-lint
@@ -18,7 +19,7 @@
 
 Package: ansible-lint
 Architecture: all
-Depends: ansible,
+Depends: ansible (>= 2.8),
          python3-pkg-resources,
          python3-ruamel.yaml,
          ${misc:Depends},

## ansible-lint 5.4.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile --extra=yamllint --no-annotate --output-file=docs/requirements.txt --strip-extras docs/requirements.in setup.cfg
#
alabaster==0.7.12
ansible-core==2.12.2
ansible-pygments==0.1.1
attrs==21.4.0
babel==2.9.1
bracex==2.2.1
certifi==2021.10.8
cffi==1.15.0
charset-normalizer==2.0.11
colorama==0.4.4
commonmark==0.9.1
cryptography==36.0.1
docutils==0.16
enrich==1.2.7
idna==3.3
imagesize==1.3.0
importlib-metadata==4.10.1
iniconfig==1.1.1
jinja2==3.0.3
markdown-it-py==2.0.1
markupsafe==2.0.1
mdit-py-plugins==0.3.0
mdurl==0.1.0
myst-parser==0.16.1
packaging==21.3
pathspec==0.9.0
pbr==5.8.1
pipdeptree==2.2.1
pluggy==1.0.0
py==1.11.0
pycparser==2.21
pygments==2.11.2
pyparsing==3.0.7
pytest==6.2.5
pytz==2021.3
pyyaml==6.0
requests==2.27.1
resolvelib==0.5.4
rich==11.1.0
ruamel-yaml==0.17.20 ; python_version >= "3.7"
ruamel-yaml-clib==0.2.6
snowballstemmer==2.2.0
sphinx==4.4.0
sphinx-ansible-theme==0.9.1
sphinx-rtd-theme==0.5.2
sphinxcontrib-apidoc==0.3.0
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-programoutput2==2.0a1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
tenacity==8.0.1
toml==0.10.2
urllib3==1.26.8
wcmatch==8.3
yamllint==1.26.3
zipp==3.7.0

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
ansible-lint (5.4.0-2) unstable; urgency=medium

  * d/watch: Fix URL regression/typo from last upload

 -- Samuel Henrique <samueloph@debian.org>  Sat, 26 Feb 2022 17:52:12 +0000

ansible-lint (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * Bump Standards-Version to 4.6.0
  * Update upstream URLs
  * d/NEWS: Create news file and warn about new "--offline" flag,
    without it, ansible-lint will try and download roles and collections set
    in requirements.yml (if the file exists), using ansible-galaxy, into a
    temporary folder.
  * d/control:
    - Add ansible-core as an alternative dependency (will become the default
      once #1001040 is fixed)
    - Update dependencies list according to upstream and
      wrap-and-sort
  * d/copyright:
    - Update copyright info (upstream is both GPL-3 and Expat)
    - Update debian/ years and remove deleted file
  * d/p/disable_scm_version.patch: Update patch
  * d/salsa-ci.yml: Remove file in favor of using default CI settings
  * d/t/tests
    - Ignore experimental findings in tests and use package
      provided files
    - Don't call tests from source code root to avoid parsing upstream's
      .yamllint

 -- Samuel Henrique <samueloph@debian.org>  Sat, 26 Feb 2022 00:30:15 +0000

=== debian/control ===
Source: ansible-lint
Section: misc
Priority: optional
Maintainer: Gregory Colpart <reg@debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/ansible-community/ansible-lint
Vcs-Browser: https://salsa.debian.org/debian/ansible-lint
Vcs-Git: https://salsa.debian.org/debian/ansible-lint.git

Package: ansible-lint
Architecture: all
Depends: ansible | ansible-core,
         python3-enrich,
         python3-packaging,
         python3-ruamel.yaml,
         python3-tenacity,
         python3-wcmatch,
         python3-yaml,
         yamllint,
         ${misc:Depends},
         ${python3:Depends}
Description: lint tool for Ansible playbooks
 Ansible playbooks express configuration, deployment and orchestration in YAML
 format. They can describe a policy you want your remote systems to enforce,
  or a set of steps in a general IT process.
 .
 ansible-lint checks Ansible playbooks for practices and behaviour that could
 potentially be improved.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,5 @@
 override_dh_auto_configure:
 	sed -i "s/DEB_VERSION_UPSTREAM/$(DEB_VERSION_UPSTREAM)/" setup.cfg
 	dh_auto_configure
+
+override_dh_auto_test:

=== debian/tests/control ===
Tests: nomatches
Restrictions: needs-root

Tests: lots-of-warnings
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ansible-lint-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
  https://github.com/ansible-community/ansible-lint/tags .*/?(\d\.\d.\d)\.tar\.gz

## ansible-lint 6.3.0

=== debian/changelog ===
ansible-lint (6.3.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/tests/control: Disable nomatch test, broken upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 17 Jul 2022 16:28:05 +0200

ansible-lint (6.3.0-1) experimental; urgency=medium

  * New upstream version 6.3.0 (closes: #1012366)
    - This upload is blocked from going to unstable until
      python3-jsonschema >= 4.6.0 gets uploaded to it.
  * Move package maintenance under the Python's team
  * d/control:
    - New dependencies python3-ansible-compat and python3-jsonschema
    - Drop ansible in favor of ansible-core (closes: #982653)
  * d/copyright: Remove entry for deleted file 'NoLogPasswordsRule.py'
  * d/docs:
    - Stop installing examples folder (they're actually ansible test data)
    - Rename README.rst to README.md
  * d/p/disable_scm_version.patch: Update patch

 -- Samuel Henrique <samueloph@debian.org>  Sat, 18 Jun 2022 18:55:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ansible-lint
 Section: misc
 Priority: optional
-Maintainer: Gregory Colpart <reg@debian.org>
-Uploaders: Samuel Henrique <samueloph@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Samuel Henrique <samueloph@debian.org>, Gregory Colpart <reg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
@@ -11,14 +11,17 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ansible-community/ansible-lint
-Vcs-Browser: https://salsa.debian.org/debian/ansible-lint
-Vcs-Git: https://salsa.debian.org/debian/ansible-lint.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible-lint
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible-lint.git
 
 Package: ansible-lint
 Architecture: all
-Depends: ansible | ansible-core,
+Depends: ansible-core,
+         python3-ansible-compat,
          python3-enrich,
+         python3-jsonschema (>= 4.6.0),
          python3-packaging,
+         python3-rich,
          python3-ruamel.yaml,
          python3-tenacity,
          python3-wcmatch,

=== debian/tests/control ===
# Broken upstream
#Tests: nomatches
#Restrictions: needs-root

Tests: lots-of-warnings
Restrictions: needs-root, allow-stderr

## ansible-lint 6.7.0

=== debian/changelog ===
ansible-lint (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0
  * Bump Standards-Version to 4.6.1.
  * d/control: Bump version requirement of jsonschema to 4.9.0.
  * d/tests: Drop autopkgtests, they were never too good and the maintenance
    cost is too high.
  * d/watch: Update file to drop alpha and beta releases, also use GitHub's
    API.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 17 Dec 2022 20:22:48 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ansible-community/ansible-lint
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible-lint
@@ -19,7 +19,7 @@
 Depends: ansible-core,
          python3-ansible-compat,
          python3-enrich,
-         python3-jsonschema (>= 4.6.0),
+         python3-jsonschema (>= 4.9.0),
          python3-packaging,
          python3-rich,
          python3-ruamel.yaml,

## ansible-lint 6.11.0

=== debian/changelog ===
ansible-lint (6.11.0-1) unstable; urgency=medium

  * New upstream version 6.11.0
  * d/control: Add new dependencies: black, git and python3-jinja2
  * d/p/remove_version_check.patch: Refresh patch

 -- Samuel Henrique <samueloph@debian.org>  Fri, 20 Jan 2023 22:44:05 +0000

ansible-lint (6.9.1-1) unstable; urgency=medium

  * New upstream version 6.9.1
  * Bump Standards-Version to 4.6.2
  * d/control: Add new dependency python3-filelock and bump jsonschema
    requirement to 4.10.0
  * d/p/disable_scm_version.patch: Drop patch in favor of using
    python3-setuptools-scm
  * d/p/remove_version_check.patch: New patch to disable external version
    check

 -- Samuel Henrique <samueloph@debian.org>  Sun, 15 Jan 2023 21:56:11 +0000

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/ansible-community/ansible-lint/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## ansible-lint 6.12.2

=== debian/changelog ===
ansible-lint (6.12.2-1) unstable; urgency=medium

  * New upstream version 6.12.2
  * d/p/remove_version_check.patch: Refresh patch
  * d/p/remove_vendored_code.patch: New patch to remove vendored code usage

 -- Samuel Henrique <samueloph@debian.org>  Fri, 10 Feb 2023 23:03:31 +0000

ansible-lint (6.12.1-1) unstable; urgency=medium

  * New upstream version 6.12.1

 -- Samuel Henrique <samueloph@debian.org>  Wed, 08 Feb 2023 18:52:46 +0000

## ansible-lint 6.13.1

=== .config/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --extra=docs --extra=test --no-annotate --output-file=.config/requirements.txt --resolver=backtracking --strip-extras --unsafe-package=ruamel-yaml-clib pyproject.toml
#
ansible-core==2.14.2 ; python_version >= "3.9"
astroid==2.14.2
attrs==22.2.0
beautifulsoup4==4.11.2
black==23.1.0
bracex==2.3.post1
cairocffi==1.4.0
cairosvg==2.6.0
certifi==2022.12.7
cffi==1.15.1
charset-normalizer==3.0.1
click==8.1.3
colorama==0.4.6
coverage==7.1.0
coverage-enable-subprocess==1.0
cryptography==39.0.1
cssselect2==0.7.0
defusedxml==0.7.1
dill==0.3.6
exceptiongroup==1.1.0
execnet==1.9.0
filelock==3.9.0
flake8==6.0.0
flake8-future-annotations==1.1.0
ghp-import==2.1.0
griffe==0.25.4
idna==3.4
importlib-metadata==6.0.0
iniconfig==2.0.0
isort==5.12.0
jinja2==3.1.2
jsonschema==4.17.3
lazy-object-proxy==1.9.0
markdown==3.3.7
markdown-exec==1.2.0
markdown-it-py==2.1.0
markupsafe==2.1.2
mccabe==0.7.0
mdurl==0.1.2
mergedeep==1.3.4
mkdocs==1.4.2
mkdocs-autorefs==0.4.1
mkdocs-gen-files==0.4.0
mkdocs-htmlproofer-plugin==0.10.2
mkdocs-material==9.0.12
mkdocs-material-extensions==1.1.1
mkdocstrings==0.20.0
mkdocstrings-python==0.8.3
mypy==1.0.0
mypy-extensions==1.0.0
packaging==23.0
pathspec==0.11.0
pillow==9.4.0
pipdeptree==2.3.3
platformdirs==3.0.0
pluggy==1.0.0
psutil==5.9.4
pycodestyle==2.10.0
pycparser==2.21
pyflakes==3.0.1
pygments==2.14.0
pylint==2.16.1
pymdown-extensions==9.9.2
pyrsistent==0.19.3
pytest==7.2.1
pytest-mock==3.10.0
pytest-plus==0.4.0
pytest-xdist==3.2.0
python-dateutil==2.8.2
pyyaml==6.0
pyyaml-env-tag==0.1
regex==2022.10.31
requests==2.28.2
resolvelib==0.8.1
rich==13.3.1
ruamel-yaml==0.17.21
setuptools==67.2.0
six==1.16.0
soupsieve==2.3.2.post1
subprocess-tee==0.4.1
tinycss2==1.2.1
tomli==2.0.1
tomlkit==0.11.6
types-pyyaml==6.0.12.6
typing-extensions==4.4.0
urllib3==1.26.14
watchdog==2.2.1
wcmatch==8.4.1
webencodings==0.5.1
wrapt==1.14.1
yamllint==1.29.0
zipp==3.13.0

# The following packages are considered to be unsafe in a requirements file:
# ruamel-yaml-clib

=== debian/changelog ===
ansible-lint (6.13.1-1) unstable; urgency=medium

  * New upstream version 6.13.1
  * d/p/remove_version_check.patch: Refresh patch

 -- Samuel Henrique <samueloph@debian.org>  Sun, 26 Feb 2023 11:49:21 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.6.1
+               python3-setuptools-scm,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ansible-community/ansible-lint
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible-lint
@@ -17,9 +18,13 @@
 Package: ansible-lint
 Architecture: all
 Depends: ansible-core,
+         black,
+         git,
          python3-ansible-compat,
          python3-enrich,
-         python3-jsonschema (>= 4.9.0),
+         python3-filelock,
+         python3-jinja2,
+         python3-jsonschema (>= 4.10.0),
          python3-packaging,
          python3-rich,
          python3-ruamel.yaml,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## ansible-lint 6.17.2

=== .config/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --extra=docs --extra=test --no-annotate --output-file=.config/requirements.txt --resolver=backtracking --strip-extras --unsafe-package=resolvelib --unsafe-package=ruamel-yaml-clib pyproject.toml
#
ansible-compat==4.1.2
ansible-core==2.15.1
astroid==2.15.5
attrs==23.1.0
beautifulsoup4==4.12.2
black==23.3.0
bracex==2.3.post1
cairocffi==1.5.1
cairosvg==2.7.0
certifi==2023.5.7
cffi==1.15.1
charset-normalizer==3.1.0
click==8.1.3
colorama==0.4.6
coverage==7.2.7
coverage-enable-subprocess==1.0
cryptography==41.0.1
csscompressor==0.9.5
cssselect2==0.7.0
defusedxml==0.7.1
dill==0.3.6
exceptiongroup==1.1.1
execnet==1.9.0
filelock==3.12.2
ghp-import==2.1.0
griffe==0.29.0
htmlmin2==0.1.13
idna==3.4
importlib-metadata==6.6.0
importlib-resources==5.0.7
iniconfig==2.0.0
isodate==0.6.1
isort==5.12.0
jinja2==3.1.2
jmespath==1.0.1
jsmin==3.0.1
jsonschema==4.17.3
lazy-object-proxy==1.9.0
markdown==3.3.7
markdown-exec==1.6.0
markdown-include==0.8.1
markdown-it-py==3.0.0
markupsafe==2.1.2
mccabe==0.7.0
mdurl==0.1.2
mergedeep==1.3.4
mkdocs==1.4.3
mkdocs-ansible==0.1.6
mkdocs-autorefs==0.4.1
mkdocs-gen-files==0.5.0
mkdocs-htmlproofer-plugin==0.13.1
mkdocs-material==9.1.15
mkdocs-material-extensions==1.1.1
mkdocs-minify-plugin==0.6.4
mkdocs-monorepo-plugin==1.0.5
mkdocstrings==0.22.0
mkdocstrings-python==1.1.0
mypy==1.4.0
mypy-extensions==1.0.0
netaddr==0.8.0
packaging==23.1
pathspec==0.11.1
pillow==9.5.0
pipdeptree==2.7.1
platformdirs==3.7.0
pluggy==1.2.0
ply==3.11
psutil==5.9.5
pycparser==2.21
pygments==2.15.1
pylint==2.17.4
pymdown-extensions==10.0.1
pyparsing==3.1.0
pyrsistent==0.19.3
pytest==7.3.2
pytest-mock==3.11.1
pytest-plus==0.4.0
pytest-xdist==3.3.1
python-dateutil==2.8.2
python-slugify==8.0.1
pyyaml==6.0
pyyaml-env-tag==0.1
rdflib==6.3.2
regex==2023.5.5
requests==2.31.0
rich==13.4.2
ruamel-yaml==0.17.32
six==1.16.0
soupsieve==2.4.1
spdx-tools==0.7.1
subprocess-tee==0.4.1
text-unidecode==1.3
tinycss2==1.2.1
tomli==2.0.1
tomlkit==0.11.8
types-jsonschema==4.17.0.8
types-pyyaml==6.0.12.10
typing-extensions==4.6.2
uritools==4.0.1
urllib3==2.0.2
watchdog==3.0.0
wcmatch==8.4.1
webencodings==0.5.1
wrapt==1.15.0
xmltodict==0.13.0
yamllint==1.32.0
zipp==3.15.0

# The following packages are considered to be unsafe in a requirements file:
# resolvelib
# ruamel-yaml-clib

=== debian/changelog ===
ansible-lint (6.17.2-1) unstable; urgency=medium

  * New upstream version 6.17.2
  * d/ansible-lint.1: Update manpage (closes: #1037412)

 -- Samuel Henrique <samueloph@debian.org>  Thu, 22 Jun 2023 23:36:14 +0100

ansible-lint (6.17.1-1) unstable; urgency=medium

  * New upstream version 6.17.1
  * d/patches:
    - Update remove_version_check.patch
    - Drop remove_vendored_code.patch
  * d/control: Update dependencies as per upstream

 -- Samuel Henrique <samueloph@debian.org>  Fri, 16 Jun 2023 20:26:47 +0100

=== debian/control ===
--- 
+++ 
@@ -17,21 +17,21 @@
 
 Package: ansible-lint
 Architecture: all
-Depends: ansible-core,
-         black,
+Depends: ansible-core (>= 2.12.0),
+         black (>= 22.8.0),
          git,
-         python3-ansible-compat,
-         python3-enrich,
-         python3-filelock,
+         python3-ansible-compat (>= 4.0.5),
+         python3-filelock (>= 3.3.0),
          python3-jinja2,
          python3-jsonschema (>= 4.10.0),
-         python3-packaging,
-         python3-rich,
-         python3-ruamel.yaml,
-         python3-tenacity,
-         python3-wcmatch,
-         python3-yaml,
-         yamllint,
+         python3-packaging (>= 21.3),
+         python3-pathspec (>= 0.10.3),
+         python3-rich (>= 12.0.0),
+         python3-ruamel.yaml (>= 0.17.0),
+         python3-ruamel.yaml (<< 0.18),
+         python3-wcmatch (>= 8.1.2),
+         python3-yaml (>= 5.4.1),
+         yamllint (>= 1.30.0),
          ${misc:Depends},
          ${python3:Depends}
 Description: lint tool for Ansible playbooks

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
uversionmangle=s/(\d)[_\.\-\+]?(\d)[_\.\-\+]?(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/ansible-community/ansible-lint/releases?per_page=30 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## ansible-lint 24.6.1

=== debian/changelog ===
ansible-lint (24.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.6.1 (Closes: #1070194)
  * d/control:
    - Add some required dependencies
    - Update version constraint on black and python3-ansible-compat
    - Bump Standards-Version to 4.7.0
    - Run wrap-and-sort
  * d/patches:
    - Drop ruamel-yaml-0.18.5.patch
    - Refresh remaining patches
  * d/rules: Skip some failing tests

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 23 Jun 2024 16:50:49 +0200

ansible-lint (6.17.2-3) unstable; urgency=medium

  * Team upload.
  * d/rules: skip 4 additional tests that pass during the build, but not
    as autopkgtests.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Apr 2024 21:08:55 +0200

ansible-lint (6.17.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch for newer ruamel.yaml 0.18.5+
  * Enable testing using pybuild & pytest, also as autopkgtests.
  * Ignore lintian complaints about ansiblelint/rules/*.md "package-
    contains-documentation-outside-usr-share-doc"
  * d/control: reformatted
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Apr 2024 12:48:02 +0200

=== debian/control ===
Source: ansible-lint
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>,
           Gregory Colpart <reg@debian.org>
Section: misc
Priority: optional
Build-Depends: black (>= 24.3.0) <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               git <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-ansible-compat (>= 24.5.0) <!nocheck>,
               python3-filelock (>= 3.3.0) <!nocheck>,
               python3-importlib-metadata <!nocheck>,
               python3-jmespath <!nocheck>,
               python3-license-expression (>= 30.3.0) <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-rich (>= 12.0.0) <!nocheck>,
               python3-ruamel.yaml (>= 0.18.5) <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-wcmatch <!nocheck>,
               yamllint (>= 1.30.0) <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible-lint
Vcs-Git: https://salsa.debian.org/python-team/packages/ansible-lint.git
Homepage: https://github.com/ansible-community/ansible-lint
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: ansible-lint
Architecture: all
Depends: ansible-core,
         black (>= 24.3.0),
         git,
         python3-ansible-compat (>= 24.5.0),
         python3-filelock (>= 3.3.0),
         python3-jinja2,
         python3-jsonschema (>= 4.10.0),
         python3-packaging (>= 21.3),
         python3-pathspec (>= 0.10.3),
         python3-rich (>= 12.0.0),
         python3-ruamel.yaml (>= 0.18.5),
         python3-wcmatch,
         python3-yaml (>= 5.4.1),
         yamllint (>= 1.30.0),
         ${misc:Depends},
         ${python3:Depends}
Description: lint tool for Ansible playbooks
 Ansible playbooks express configuration, deployment and orchestration in YAML
 format. They can describe a policy you want your remote systems to enforce,
  or a set of steps in a general IT process.
 .
 ansible-lint checks Ansible playbooks for practices and behaviour that could
 potentially be improved.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_BEFORE_TEST=cp --recursive {dir}/examples {dir}/conftest.py {dir}/.pre-commit-config.yaml {dir}/.ansible-lint {build_dir}/
export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/examples {build_dir}/conftest.py {build_dir}/.pre-commit-config.yaml {build_dir}/.ansible-lint

export PYBUILD_TEST_ARGS=-n auto -k "not (test_spdx or test_args_module_pass or test_risky_file_permissions or test_fqcn_builtin_fail or test_fqcn_builtin_pass or test_transformer or test_call_from_outside_venv or test_schema_moves or test_rules_id_format or test_yamllint or test_example or test_example_custom_module or test_verbosity or test_task_hook_import_playbook or test_request_timeouterror_handling or test_requests_uses_timeout or test_schema_refresh_cli or test_refresh_schemas or test_jinja_transform or test_no_tabs_rule or test_nodeps[1] or test_nodeps[2] or test_import_playbook_from_collection or test_broken_ansible_cfg or test_find_children_in_module or test_args_module_relative_import)"
# test_spdx: requires the yet-to-be-packaged https://pypi.org/project/spdx/
# test_args_module_pass: require internet access
# test_risky_file_permissions: requires internet access
# test_fqcn_builtin_fail: requires internet access
# test_fqcn_builtin_pass: requires internet access
# test_transformer: required internet access
# test_call_from_outside_venv: assumes we are running the test from a virtualenv
# test_schema_moves: unknown
# test_rules_id_format: unknown
# test_yamllint: unknown (due to different version of yamllint?)
# test_example: unknown
# test_example_custom_module: unknown
# test_verbosity: unknown
# test_task_hook_import_playbook: unknown
# test_request_timeouterror_handling: not good for autopkgtest: requires a writable filesystem
# test_requests_uses_timeout: works during the build, but not as an autopkgtest
# test_schema_refresh_cli: works during the build, but not as an autopkgtest
# test_refresh_schemas: works during the build, but not as an autopkgtest
# test_jinja_transform: requires internet access
# test_no_tabs_rule: requires internet access
# test_nodeps[1]: requires /usr/bin/ansible-lint
# test_nodeps[2]: requires /usr/bin/ansible-lint
# test_import_playbook_from_collection: requires internet access
# test_broken_ansible_cfg: requires /usr/bin/ansible-lint
# test_find_children_in_module: unknown
# test_args_module_relative_import: unknown

%:
	dh $@ --buildsystem=pybuild

## ansible-lint 24.7.0

=== debian/changelog ===
ansible-lint (24.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.7.0

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 13 Jul 2024 23:05:35 +0200

## ansible-lint 24.9.2

=== debian/changelog ===
ansible-lint (24.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.9.2
  * d/clean: Clean up src/ansiblelint/_version.py and update the path of the
    ansible_lint.egg-info directory (Closes: #1043829)
  * d/control: Update version constraint on python3-ansible-compat
  * d/patches: Refresh patches
  * d/rules: Skip failing test_find_children_in_playbook test

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 16 Oct 2024 22:47:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_BEFORE_TEST=cp --recursive {dir}/examples {dir}/conftest.py {dir}/.pre-commit-config.yaml {dir}/.ansible-lint {build_dir}/
 export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/examples {build_dir}/conftest.py {build_dir}/.pre-commit-config.yaml {build_dir}/.ansible-lint
 
-export PYBUILD_TEST_ARGS=-n auto -k "not (test_spdx or test_args_module_pass or test_risky_file_permissions or test_fqcn_builtin_fail or test_fqcn_builtin_pass or test_transformer or test_call_from_outside_venv or test_schema_moves or test_rules_id_format or test_yamllint or test_example or test_example_custom_module or test_verbosity or test_task_hook_import_playbook or test_request_timeouterror_handling or test_requests_uses_timeout or test_schema_refresh_cli or test_refresh_schemas or test_jinja_transform or test_no_tabs_rule or test_nodeps[1] or test_nodeps[2] or test_import_playbook_from_collection or test_broken_ansible_cfg or test_find_children_in_module or test_args_module_relative_import)"
+export PYBUILD_TEST_ARGS=-n auto -k "not (test_spdx or test_args_module_pass or test_risky_file_permissions or test_fqcn_builtin_fail or test_fqcn_builtin_pass or test_transformer or test_call_from_outside_venv or test_schema_moves or test_rules_id_format or test_yamllint or test_example or test_example_custom_module or test_verbosity or test_task_hook_import_playbook or test_request_timeouterror_handling or test_requests_uses_timeout or test_schema_refresh_cli or test_refresh_schemas or test_jinja_transform or test_no_tabs_rule or test_nodeps[1] or test_nodeps[2] or test_import_playbook_from_collection or test_broken_ansible_cfg or test_find_children_in_module or test_args_module_relative_import or test_find_children_in_playbook)"
 # test_spdx: requires the yet-to-be-packaged https://pypi.org/project/spdx/
 # test_args_module_pass: require internet access
 # test_risky_file_permissions: requires internet access
@@ -31,6 +31,7 @@
 # test_broken_ansible_cfg: requires /usr/bin/ansible-lint
 # test_find_children_in_module: unknown
 # test_args_module_relative_import: unknown
+# test_find_children_in_playbook: unknown
 
 %:
 	dh $@ --buildsystem=pybuild

## ansible-lint 24.10.0

=== debian/changelog ===
ansible-lint (24.10.0-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2024 09:18:55 -0500

ansible-lint (24.10.0-1) unstable; urgency=medium

  * New upstream version 24.10.0
  * d/rules: need new directory "collections/" for tests

 -- Gregory Colpart <reg@debian.org>  Sun, 17 Nov 2024 23:22:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                git <!nocheck>,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-ansible-compat (>= 24.5.0) <!nocheck>,
+               python3-ansible-compat (>= 24.9.1) <!nocheck>,
                python3-filelock (>= 3.3.0) <!nocheck>,
                python3-importlib-metadata <!nocheck>,
                python3-jmespath <!nocheck>,
@@ -36,7 +36,7 @@
 Depends: ansible-core,
          black (>= 24.3.0),
          git,
-         python3-ansible-compat (>= 24.5.0),
+         python3-ansible-compat (>= 24.9.1),
          python3-filelock (>= 3.3.0),
          python3-jinja2,
          python3-jsonschema (>= 4.10.0),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export LC_ALL=C.UTF-8
-export PYBUILD_BEFORE_TEST=cp --recursive {dir}/examples {dir}/conftest.py {dir}/.pre-commit-config.yaml {dir}/.ansible-lint {build_dir}/
+export PYBUILD_BEFORE_TEST=cp --recursive {dir}/examples {dir}/conftest.py {dir}/.pre-commit-config.yaml {dir}/.ansible-lint {dir}/collections {build_dir}/
 export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/examples {build_dir}/conftest.py {build_dir}/.pre-commit-config.yaml {build_dir}/.ansible-lint
 
 export PYBUILD_TEST_ARGS=-n auto -k "not (test_spdx or test_args_module_pass or test_risky_file_permissions or test_fqcn_builtin_fail or test_fqcn_builtin_pass or test_transformer or test_call_from_outside_venv or test_schema_moves or test_rules_id_format or test_yamllint or test_example or test_example_custom_module or test_verbosity or test_task_hook_import_playbook or test_request_timeouterror_handling or test_requests_uses_timeout or test_schema_refresh_cli or test_refresh_schemas or test_jinja_transform or test_no_tabs_rule or test_nodeps[1] or test_nodeps[2] or test_import_playbook_from_collection or test_broken_ansible_cfg or test_find_children_in_module or test_args_module_relative_import or test_find_children_in_playbook)"
